<?php

namespace MX\WidgetComponent\Form\Component;

use Magento\Framework\Data\Form\Element\Date as DateParent;

class Date extends DateParent
{
    /**
     * Set date value
     *
     * @param mixed $value
     * @return $this
     */
    public function setValue($value)
    {
        $this->_value = (string) $value;
        return $this;
    }

    /**
     * Get date value as string.
     * Ignoring format parameter - return the current value generated by the js component
     *
     * @param string $format (compatible with \DateTime)
     * @return string
     */
    public function getValue($format = null)
    {
        return (string) $this->_value;
    }
}
